<a
  *transloco="let t"
  [attr.aria-describedby]="feedItem.id + '-description'"
  [attr.aria-labelledby]="feedItem.id + '-title'"
  [href]="routerLink ?? './news' + feedItem.id"
  [routerLink]="routerLink ?? ['./news', feedItem.id]"
  lang="de"
  tabindex="0"
  translate="yes"
>
  <ion-card class="default-card strong-elevation">
    <img
      *ngIf="imageUrl"
      [height]="feedItem.image?.thumbnail?.height"
      [src]="imageUrl"
      [width]="feedItem.image?.thumbnail?.width"
      alt=""
    />
    <div class="card-content" lang="de" translate="yes">
      <span
        [id]="feedItem.id + '-title'"
        [innerHTML]="feedItem.title"
        aria-level="2"
        class="card-title content-font"
        lang="de"
        translate="yes"
      >
      </span>
      <ion-card-content
        [id]="feedItem.id + '-description'"
        [lang]="translateService.getActiveLang()"
        translate="no"
      >
        <div class="type-container flex-list-small">
          <lib-general-icon
            [color]="iconColor.secondaryForeground"
            [name]="newsModuleIcon"
            [size]="iconFontSize.large"
            [type]="iconType.materialIconsOutlined"
          ></lib-general-icon>
          <span class="type">{{ t(feedItem.moduleName) }}</span>
        </div>
        <span class="date">{{
          feedItem.creationDate | localizedRelativeTimePipe: false
        }}</span>
      </ion-card-content>
    </div>
  </ion-card>
</a>
